UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 65429

2015.2 - Updatemem errors with ERROR: [Updatemem 57-49] on xcvu190 SLRD device.

Description

I have created a simple IPI design targeting the xcvu190 device.

From SDK, I have programmed the FPGA with the bitstream and a hello_world ELF file:

********************************************************************************************
****** updatemem v2015.2 (64-bit)
**** SW Build 1257453 on Tue Jun 16 18:25:58 MDT 2015
** Copyright 1986-2015 Xilinx, Inc. All Rights Reserved.

source C:/Xilinx/SDK/2015.2/scripts/updatemem/main.tcl -notrace
Loading bitfile C:/vcu110_ipi_simple_2015.2/vcu110_ipi.sdk/system_wrapper_hw_platform_0/system_wrapper.bit
Loading data files...
Updating memory content...
ERROR: [Updatemem 57-49] Cannot find proper bitmap coordinates for tile at index 207026.
ERROR: [Updatemem 57-49] Cannot find proper bitmap coordinates for tile at index 207041.
...
ERROR: [Updatemem 57-49] Cannot find proper bitmap coordinates for tile at index 204171.
ERROR: [Updatemem 57-49] Cannot find proper bitmap coordinates for tile at index 204186.
ERROR: [Updatemem 57-49] Cannot find proper bitmap coordinates for tile at index 204254.
Creating bitstream...
Writing bitstream C:/vcu110_ipi_simple_2015.2/vcu110_ipi.sdk/system_wrapper_hw_platform_0/download.bit...
update_mem: Time (s): cpu = 00:04:03 ; elapsed = 00:04:04 . Memory (MB): peak = 515.742 ; gain = 444.176
ERROR: [Common 17-39] 'update_mem' failed due to earlier errors.
********************************************************************************************

 

When downloaded, the bitstream shows nothing on the UART.

This also occurs when I use Tcl commands in Vivado to call the updatemem utility.

Solution

Using Vivado to program the ELF into the bitstream (using the Associate ELF files flow) works correctly.

This error is only seen with an SLRD device (xcvu190-flgc2104-2-e-es2).

Note that the above sequence will work correctly if a monolithic part such as the xcvu095, is used.

AR# 65429
Date Created 09/16/2015
Last Updated 11/04/2015
Status Active
Type General Article
Devices
  • Virtex UltraScale
Boards & Kits
  • Virtex UltraScale FPGA VCU110 Evaluation Kit